Package weka.gui.beans

# Interface UserRequestAcceptor

All Known Implementing Classes:
  `Associator`, `AttributeSummarizer`, `Classifier`, `ClassifierPerformanceEvaluator`, `Clusterer`, `ClustererPerformanceEvaluator`, `CostBenefitAnalysis`, `CrossValidationFoldMaker`, `DataVisualizer`, `Filter`, `GraphViewer`, `MetaBean`, `ModelPerformanceChart`, `ScatterPlotMatrix`, `StripChart`, `TextViewer`, `TrainTestSplitMaker`

public interface UserRequestAcceptor
Interface to something that can accept requests from a user to perform some action

Since:
  1.0
Version:
  $Revision: 1.3 $
Author:
  Mark Hall

## Method Summary

Modifier and Type
Method
Description
`Enumeration`
`enumerateRequests()`
Get a list of performable requests
`void`
`performRequest(String requestName)`
Perform the named request

## Method Details

### enumerateRequests

Enumeration enumerateRequests()
Get a list of performable requests

Returns:
  an `Enumeration` value

### performRequest

void performRequest(String requestName)
Perform the named request

Parameters:
  `requestName` - a `String` value
Throws:
  `IllegalArgumentException` - if an error occurs